Package Details: newsbeuter-git 2278.96e9506-1

Git Clone URL: https://aur.archlinux.org/newsbeuter-git.git (read-only)
Package Base: newsbeuter-git
Description: A RSS feed reader for the text console with special Podcast support.
Upstream URL: http://www.newsbeuter.org
Licenses: MIT
Conflicts: newsbeuter
Submitter: Atsutane
Maintainer: The-Compiler
Last Packager: The-Compiler
Votes: 37
Popularity: 0.734863
First Submitted: 2009-01-02 00:01
Last Updated: 2017-08-18 04:19

Dependencies (11)

Required by (0)

Sources (1)

Latest Comments

The-Compiler commented on 2017-08-18 04:25

polyzen: Thanks, fixed for newsbeuter-git and sshtunnel-git. I'll look at xournal-git later as its version numbering scheme seems to have changed, and I'm really busy with exams currently.

polyzen commented on 2017-08-12 18:52

Please use git+https for the source. You use this for all your VCS packages aside from sshtunnel-git and xournal-git, which are git+http.

The-Compiler commented on 2017-03-21 05:21

The non-git version in Archlinux' repo does not support armv7h, just like any other Archlinux package. It's not an official architecture.

rotsix commented on 2017-03-20 22:53

Hi, why no armv7h support in PKGBUILD ? the non-git version is in repos, and armv7h support it. Thx to add it

The-Compiler commented on 2015-11-12 08:08

The package is fixed again (by removing the patch) now - sorry for the delay!

klesk commented on 2015-10-27 19:30

I get following error;

==> Starting prepare()...
patching file config.sh
Hunk #1 FAILED at 110.
1 out of 1 hunk FAILED -- saving rejects to file config.sh.rej
==> ERROR: A failure occurred in prepare().
Aborting...
==> ERROR: Makepkg was unable to build newsbeuter-git.

The-Compiler commented on 2015-09-18 17:00

Should be fixed now - thanks!

Dragonlord commented on 2015-09-18 16:49

I guess you can reuse these:
https://projects.archlinux.org/svntogit/community.git/tree/trunk?h=packages/newsbeuter

The-Compiler commented on 2015-09-18 11:18

There is an upstream bug here:

http://code.google.com/p/newsbeuter/issues/detail?id=365&sort=-id

I'll write a patch with the suggested solution and update the package later today.

tomxtobin commented on 2015-09-18 11:15

I can't run or rebuild newsbeuter-git since the update to ncurses 6:

$ makepkg
==> Making package: newsbeuter-git 1710.c085077-1 (Fri Sep 18 07:13:37 EDT 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning newsbeuter git repo...
Cloning into bare repository '/home/tomxtobin/repo/aur/newsbeuter-git/newsbeuter'...
remote: Counting objects: 12443, done.
remote: Compressing objects: 100% (34/34), done.
remote: Total 12443 (delta 18), reused 0 (delta 0), pack-reused 12409
Receiving objects: 100% (12443/12443), 9.01 MiB | 1.64 MiB/s, done.
Resolving deltas: 100% (6885/6885), done.
Checking connectivity... done.
==> Validating source files with sha1sums...
newsbeuter ... Skipped
==> Extracting sources...
-> Creating working copy of newsbeuter git repo...
Cloning into 'newsbeuter'...
done.
==> Starting pkgver()...
==> Updated version: newsbeuter-git 1728.e425e3e-1
==> Starting build()...
Checking for package sqlite3... found
Checking for package libcurl... found
Checking for package libxml-2.0... found
Checking for package stfl... found
Checking for package json... not found
Checking for package json-c... found
Checking for package ncursesw5 using ncursesw5-config... not found

You need package ncursesw in order to compile this program.
Please make sure it is installed.

You can download ncursesw from here:
Checking for package libcrypto... found

One or more dependencies couldn't be found. Please install
these packages and retry compilation.
==> ERROR: A failure occurred in build().
Aborting...

All comments